<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160513140358 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE account ADD enabled BOOLEAN NOT NULL DEFAULT FALSE ');
        $this->addSql('ALTER TABLE account_audit ADD enabled BOOLEAN DEFAULT NULL');
        $this->addSql('
        UPDATE account a SET enabled  = COALESCE(
            (
              SELECT ast.access_enabled
              FROM account_status acs 
              LEFT JOIN account_status_type ast ON (ast.id = acs.status_id)
              WHERE 
                acs.account_id=a.id AND
                acs.status_time <= NOW()
              ORDER by acs.status_time DESC LIMIT 1
            )
            ,false
        )
        
        ');
        $this->addSql('ALTER TABLE account ALTER enabled DROP DEFAULT');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE account_audit DROP enabled');
        $this->addSql('ALTER TABLE account DROP enabled');
    }
}
