<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160712153440 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE report_slice DROP CONSTRAINT fk_17b27fdc7fe751e9');
        $this->addSql('ALTER TABLE report_item DROP CONSTRAINT fk_6c37c8e56f1abeea');
        $this->addSql('DROP SEQUENCE report_slice_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE report_aggregator_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE report_item_id_seq CASCADE');
        $this->addSql('DROP TABLE report_aggregator');
        $this->addSql('DROP TABLE report_item');
        $this->addSql('DROP TABLE report_slice');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
        
        $this->addSql('CREATE SEQUENCE report_slice_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE report_aggregator_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE report_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE report_aggregator (id INT NOT NULL, caption VARCHAR(255) NOT NULL, entity_name VARCHAR(255) NOT NULL, field_name VARCHAR(255) DEFAULT NULL, period VARCHAR(255) DEFAULT NULL, strategy VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE report_item (id INT NOT NULL, report_slice_id INT DEFAULT NULL, value INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_6c37c8e56f1abeea ON report_item (report_slice_id)');
        $this->addSql('CREATE TABLE report_slice (id INT NOT NULL, report_agregator_id INT DEFAULT NULL, date_start TIMESTAMP(0) WITH TIME ZONE NOT NULL, date_end TIMESTAMP(0) WITH TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_17b27fdc7fe751e9 ON report_slice (report_agregator_id)');
        $this->addSql('ALTER TABLE report_item ADD CONSTRAINT fk_6c37c8e56f1abeea FOREIGN KEY (report_slice_id) REFERENCES report_slice (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE report_slice ADD CONSTRAINT fk_17b27fdc7fe751e9 FOREIGN KEY (report_agregator_id) REFERENCES report_aggregator (id) NOT DEFERRABLE INITIALLY IMMEDIATE');

    }
}
