<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20170112091116 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE vod_tag_list_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE vod_tag_list (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C98C32EF5E237E06 ON vod_tag_list (name)');
        $this->addSql('CREATE TABLE vod_tag_list_vod_tag (vod_tag_list_id INT NOT NULL, vod_tag_id INT NOT NULL, PRIMARY KEY(vod_tag_list_id, vod_tag_id))');
        $this->addSql('CREATE INDEX IDX_74511BCACD81C91E ON vod_tag_list_vod_tag (vod_tag_list_id)');
        $this->addSql('CREATE INDEX IDX_74511BCA112B2671 ON vod_tag_list_vod_tag (vod_tag_id)');
        $this->addSql('ALTER TABLE vod_tag_list_vod_tag ADD CONSTRAINT FK_74511BCACD81C91E FOREIGN KEY (vod_tag_list_id) REFERENCES vod_tag_list (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_tag_list_vod_tag ADD CONSTRAINT FK_74511BCA112B2671 FOREIGN KEY (vod_tag_id) REFERENCES vod_tag (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql(
            'INSERT INTO vod_tag_list (id,name) VALUES (nextval(\'vod_content_item_type_id_seq\'),\'primary\')'
        );
        $this->addSql(
            'INSERT INTO vod_tag_list (id,name) VALUES (nextval(\'vod_content_item_type_id_seq\'),\'secondary\')'
        );

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE vod_tag_list_vod_tag DROP CONSTRAINT FK_74511BCACD81C91E');
        $this->addSql('DROP SEQUENCE vod_tag_list_id_seq CASCADE');
        $this->addSql('DROP TABLE vod_tag_list');
        $this->addSql('DROP TABLE vod_tag_list_vod_tag');
    }
}
