<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20170315182546 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE account_status DROP CONSTRAINT fk_5c34ab6f6bf700bd');
        $this->addSql('DROP SEQUENCE account_status_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE account_status_type_id_seq CASCADE');
        $this->addSql('DROP TABLE account_status_audit');
        $this->addSql('DROP TABLE account_status_type_audit');
        $this->addSql('DROP TABLE account_status_type');
        $this->addSql('DROP TABLE account_status');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE account_status_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE account_status_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE account_status_audit (id BIGINT NOT NULL, rev INT NOT NULL, account_id INT DEFAULT NULL, status_id INT DEFAULT NULL, status_time TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, status_is_auto BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_e9c18dc9d0a00af967d4acb49de14b77_idx ON account_status_audit (rev)');
        $this->addSql('CREATE TABLE account_status_type_audit (id INT NOT NULL, rev INT NOT NULL, status_name VARCHAR(255) DEFAULT NULL, access_enabled BOOLEAN DEFAULT NULL, allow_provider_rpc BOOLEAN DEFAULT NULL, allow_user_change BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_a1da6525731fb5e310568a1eae5c09fc_idx ON account_status_type_audit (rev)');
        $this->addSql('CREATE TABLE account_status_type (id INT NOT NULL, status_name VARCHAR(255) NOT NULL, access_enabled BOOLEAN NOT NULL, allow_provider_rpc BOOLEAN NOT NULL, allow_user_change BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE account_status (id BIGINT NOT NULL, status_id INT NOT NULL, account_id INT NOT NULL, status_time TIMESTAMP(0) WITH TIME ZONE NOT NULL, status_is_auto BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_5c34ab6f9b6b5fba ON account_status (account_id)');
        $this->addSql('CREATE INDEX idx_5c34ab6f6bf700bd ON account_status (status_id)');
        $this->addSql('ALTER TABLE account_status ADD CONSTRAINT fk_5c34ab6f6bf700bd FOREIGN KEY (status_id) REFERENCES account_status_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE account_status ADD CONSTRAINT fk_5c34ab6f9b6b5fba FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('
        INSERT INTO public.account_status_type ("id", "status_name", "access_enabled", "allow_provider_rpc", "allow_user_change")
        VALUES (nextval(\'account_status_type_id_seq\'), \'On\', True, False, False),
        (nextval(\'account_status_type_id_seq\'), \'Off\', False, False, False)
        ');

    }
}
