<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20170323095534 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP SEQUENCE vod_account_tag_link_id_seq CASCADE');
        $this->addSql('DROP TABLE vod_account_tag_link');
        $this->addSql('DROP INDEX uniq_816c1ce25e237e06');
        $this->addSql('ALTER TABLE vod_account_tag ADD account_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE vod_account_tag ADD CONSTRAINT FK_816C1CE29B6B5FBA FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE INDEX IDX_816C1CE29B6B5FBA ON vod_account_tag (account_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_816C1CE25E237E069B6B5FBA ON vod_account_tag (name, account_id)');
        $this->addSql('ALTER INDEX uniq_92fb68e44f04595 RENAME TO UNIQ_92FB68EE3C68343');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE vod_account_tag_link_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE vod_account_tag_link (id INT NOT NULL, account_id INT NOT NULL, account_tag_id INT DEFAULT NULL, vod_content VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_40070e3c9b6b5fba ON vod_account_tag_link (account_id)');
        $this->addSql('CREATE INDEX idx_40070e3c9de6ad62 ON vod_account_tag_link (account_tag_id)');
        $this->addSql('ALTER TABLE vod_account_tag_link ADD CONSTRAINT fk_40070e3c9b6b5fba FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_account_tag_link ADD CONSTRAINT fk_40070e3c9de6ad62 FOREIGN KEY (account_tag_id) REFERENCES vod_account_tag (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER INDEX uniq_92fb68ee3c68343 RENAME TO uniq_92fb68e44f04595');
        $this->addSql('ALTER TABLE vod_account_tag DROP CONSTRAINT FK_816C1CE29B6B5FBA');
        $this->addSql('DROP INDEX IDX_816C1CE29B6B5FBA');
        $this->addSql('DROP INDEX UNIQ_816C1CE25E237E069B6B5FBA');
        $this->addSql('ALTER TABLE vod_account_tag DROP account_id');
        $this->addSql('CREATE UNIQUE INDEX uniq_816c1ce25e237e06 ON vod_account_tag (name)');
    }
}
