<?php

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Debug\Debug;

$TVIP_ENV=getenv('TVIP_ENV'); if (empty($TVIP_ENV)) $TVIP_ENV='prod';
$TVIP_DEBUG=getenv('TVIP_DEBUG'); if (empty($TVIP_DEBUG)) $TVIP_DEBUG=false;

/*
 * BUG fix for Request::createFromGlobals()
 *
 * STB client requests GET/POST with full path inside request.
 *  example:
 *      GET http://10.170.253.88:80/devicerpc/
 *  Symfony router implementation places ":80" to "QUERY_STRING" parameter
 *  how to represent this bug:
 *      curl -X POST http://10.170.253.88:80/devicerpc/
 *
 *  so we need to remove :80 from REQUEST_URI:
 */
$_SERVER['REQUEST_URI']=preg_replace("/^(http.*?)(:80)(.*?)$/","$1$3",$_SERVER['REQUEST_URI']);

/*
if ($tvipEnv=='dev') {
    // This check prevents access to debug front controllers that are deployed by accident to production servers.
    // Feel free to remove this, extend it, or make something more sophisticated.
    if (isset($_SERVER['HTTP_CLIENT_IP'])
        || isset($_SERVER['HTTP_X_FORWARDED_FOR'])
        || !(in_array(@$_SERVER['REMOTE_ADDR'], array('127.0.0.1', 'fe80::1', '::1')) || php_sapi_name() === 'cli-server')
    ) {
        header('HTTP/1.0 403 Forbidden');
        exit('You are not allowed to access this file. Check ' . basename(__FILE__) . ' for more information.');
    }
}
*/

// If you don't want to setup permissions the proper way, just uncomment the following PHP line
// read http://symfony.com/doc/current/book/installation.html#configuration-and-setup for more information
umask(0000);

$loader = require_once __DIR__.'/../app/bootstrap.php.cache';

if ($TVIP_ENV=='dev') Debug::enable();

// Enable APC for autoloading to improve performance.
// You should change the ApcClassLoader first argument to a unique prefix
// in order to prevent cache key conflicts with other applications
// also using APC.
/*
$apcLoader = new ApcClassLoader(sha1(__FILE__), $loader);
$loader->unregister();
$apcLoader->register(true);
*/

require_once __DIR__.'/../app/AppKernel.php';
//require_once __DIR__.'/../app/AppCache.php';

$kernel = new AppKernel($TVIP_ENV, $TVIP_DEBUG);
if ($TVIP_ENV=='prod') $kernel->loadClassCache();
//$kernel = new AppCache($kernel);

// When using the HttpCache, you need to call the method in your front controller instead of relying on the configuration parameter
//Request::enableHttpMethodParameterOverride();
$request = Request::createFromGlobals();
$response = $kernel->handle($request);
$response->send();
$kernel->terminate($request, $response);
